=== debian/control ===
Source: ros-kinetic-pr2eus-moveit
Section: misc
Priority: extra
Maintainer: YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-control-msgs, ros-kinetic-moveit-msgs, ros-kinetic-moveit-planners-ompl, ros-kinetic-pr2eus, ros-kinetic-roseus, ros-kinetic-rostest
Homepage: http://ros.org/wiki/pr2eus_moveit
Standards-Version: 3.9.2

Package: ros-kinetic-pr2eus-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-control-msgs, ros-kinetic-moveit-msgs, ros-kinetic-pr2eus, ros-kinetic-roseus
Description: pr2eus_moveit
